CREATE DATABASE  IF NOT EXISTS `bloodbank` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `bloodbank`;
-- MySQL dump 10.13  Distrib 5.6.13, for Win32 (x86)
--
-- Host: localhost    Database: bloodbank
-- ------------------------------------------------------
-- Server version	5.5.27

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `seperations`
--

DROP TABLE IF EXISTS `seperations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `seperations` (
  `bloodId` varchar(10) NOT NULL,
  `cryoId` varchar(10) DEFAULT NULL,
  `plateletId` varchar(10) DEFAULT NULL,
  `ffplasmaId` varchar(10) DEFAULT NULL,
  `redcellId` varchar(10) DEFAULT NULL,
  `cspplasmaId` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`bloodId`),
  KEY `bloodId_idx` (`bloodId`),
  KEY `wholeId_idx` (`cryoId`),
  KEY `plasmaId_idx` (`ffplasmaId`),
  KEY `plateletId_idx` (`plateletId`),
  KEY `redCellId_idx` (`redcellId`),
  CONSTRAINT `bloodId` FOREIGN KEY (`bloodId`) REFERENCES `donation` (`bloodId`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `seperations`
--

LOCK TABLES `seperations` WRITE;
/*!40000 ALTER TABLE `seperations` DISABLE KEYS */;
INSERT INTO `seperations` VALUES ('12KA36456',NULL,'12KA36456','12KA36456','12KA36456',NULL),('12KA42356',NULL,'12KA42356','','',NULL),('12KA47665',NULL,'12KA47665','12KA47665','12KA47665',NULL),('12KA53452',NULL,'12KA53452','','',NULL),('12KA64565',NULL,'12KA64565','12KA64565','12KA64565',NULL),('12KA66456',NULL,'12KA66456','12KA66456','12KA66456',NULL),('12KA82345',NULL,'12KA82345','12KA82345','12KA82345',NULL),('13KA47567',NULL,'13KA47567','13KA47567','13KA47567',NULL),('13KA56756','13KA56756','13KA56756','','13KA56756','13KA56756'),('13KA73033',NULL,'13KA73033','13KA73033','13KA73033',NULL),('13KA93255','13KA93255','13KA93255',NULL,'13KA93255','13KA93255');
/*!40000 ALTER TABLE `seperations` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2013-10-19 12:55:57
